summaryrefslogtreecommitdiff
path: root/tests/commandtest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/commandtest.sh')
-rwxr-xr-xtests/commandtest.sh23
1 files changed, 13 insertions, 10 deletions
diff --git a/tests/commandtest.sh b/tests/commandtest.sh
index fb0fa0e..89ac951 100755
--- a/tests/commandtest.sh
+++ b/tests/commandtest.sh
@@ -14,32 +14,35 @@ if [ -z $ANDROID_BUILD_TOP ]; then
exit 1
fi
-./prepdevice.sh || die "Unable to prepare device"
+adb wait-for-device || die
+echo "Running form command test. . ."
sleep 2
-echo "Running tests. . ."
-
-set -x # print commands
-
+# Clobber any existing instance of wpantund
adb shell killall wpantund 2> /dev/null
+# Start wpantund
+echo "+ adb shell wpantund -s 'system:ot-ncp\ 1' -o Config:Daemon:ExternalNetifManagement 1 &"
adb shell wpantund -s 'system:ot-ncp\ 1' -o Config:Daemon:ExternalNetifManagement 1 &
WPANTUND_PID=$!
trap "kill -HUP $WPANTUND_PID 2> /dev/null" EXIT INT TERM
+# Verify wpantund started properly
sleep 2
-
kill -0 $WPANTUND_PID || die "wpantund failed to start"
-
sleep 2
+echo "+ adb shell lowpanctl status"
adb shell lowpanctl status || die
+echo "+ adb shell lowpanctl form blahnet"
adb shell lowpanctl form blahnet || die
+echo "+ adb shell lowpanctl status"
adb shell lowpanctl status || die
+echo "+ adb shell ifconfig wpan0"
adb shell ifconfig wpan0 || die
+echo "+ adb shell ip rule"
+adb shell ip rule || die
-set +x # Turn off printing commands
-
-echo Finished.
+echo "Finished form command test."